<div class="app-container d-flex flex-column min-vh-100 pet-primary-gradient">

	<app-header [glowyTheme]="glowyTheme" (tellGlowyTheme)="listenToGlowyTheme()"></app-header>
	
	<app-compare-button [@triggerChildLeave] *ngIf="showButton$ | async"></app-compare-button>
	
	<app-compare-view [@fromLeft] *ngIf="isCompareShown$ | async" class="pet-glow-primary"></app-compare-view>

	<div class="flex-fill">
				
		<div class="mt-4 py-2">
			<router-outlet></router-outlet>
		</div>
		
	</div>

	<app-footer></app-footer>

	<ng-template #spinnerTpl>
		<div class="spinner-border text-primary-fluo" role="status">
			<span class="sr-only">Loading...</span>
		</div>
	</ng-template>

</div>